%define name    php5-ruli
%define version 5.0.2
%define rversion 0.29
%define release 1mdk

%define modname ruli
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A28_%{modname}.ini

Summary:	PHP binding for RULI
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://savannah.nongnu.org/projects/ruli/
License:	GPL
Source0:	%{modname}-%{rversion}.tar.bz2
BuildRequires:  php5-devel
BuildRequires:	ruli-devel >= %{rversion}
BuildRoot:	%{_tmppath}/%{name}-root

%description
PHP binding for RULI

RULI stands for Resolver User Layer Interface. It's a library
built on top of an asynchronous DNS stub resolver. RULI
provides an easy-to-use interface for querying DNS SRV
resource records. The goal is to promote the wide deployment
of SRV-cognizant client programs. RULI aims to fully support
SRV-related standards.

%prep

%setup -q -n %{modname}-%{rversion}
mv php/ruli/* .

%build

php5ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

cat > %{buildroot}%{_sysconfdir}/php5.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests ruli_sync_query.php ruli_sync_smtp_query.php ruli.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.29-1mdk
- rebuilt for php-5.0.2

* Sun Aug 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_0.29-1mdk
- initial mandrake package
